Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5140)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5141)
@@ -4029,169 +3993,167 @@
     IF (num1<=0) GO TO 500
 
-!jyg<
-!-----------------------------------------------------------
-           IF (ok_optim_yield) THEN                       !|
-!-----------------------------------------------------------
-DO il = 1, ncum
-   amp1(il) = upwd(il,i+1)
-   ad(il) = dnwd(il,i)
-ENDDO
-!-----------------------------------------------------------
-        ELSE !(ok_optim_yield)                            !|
-!-----------------------------------------------------------
-!>jyg
-    DO il = 1,ncum
-      amp1(il) = 0.
-      ad(il) = 0.
-    ENDDO
-
-    DO k = 1, nl + 1
+    !jyg<
+    !-----------------------------------------------------------
+    IF (ok_optim_yield) THEN                       !|
+      !-----------------------------------------------------------
       DO il = 1, ncum
-        IF (i>=icb(il)) THEN
-          IF (k>=i+1 .AND. k<=(inb(il)+1)) THEN
-            amp1(il) = amp1(il) + m(il, k)
-          END IF
-        ELSE
-! AMP1 is the part of cbmf taken from layers I and lower
-          IF (k<=i) THEN
-            amp1(il) = amp1(il) + cbmf(il)*wghti(il, k)
-          END IF
-        END IF
-      END DO
-    END DO
-
-    DO j = i + 1, nl + 1         
-       DO k = 1, i
-          !yor! reverted j and k loops 
-          DO il = 1, ncum
-!yor!        IF (i<=inb(il) .AND. j<=(inb(il)+1)) THEN ! the second condition implies the first !
-             IF (j<=(inb(il)+1)) THEN  
-                amp1(il) = amp1(il) + ment(il, k, j)
-             END IF
-          END DO
-       END DO
-    END DO
-
-    DO k = 1, i - 1
-!jyg<
-!!      DO j = i, nl + 1 ! newvecto: nl au lieu nl+1?
-      DO j = i, nl
-!>jyg
+        amp1(il) = upwd(il, i + 1)
+        ad(il) = dnwd(il, i)
+      ENDDO
+      !-----------------------------------------------------------
+    ELSE !(ok_optim_yield)                            !|
+      !-----------------------------------------------------------
+      !>jyg
+      DO il = 1, ncum
+        amp1(il) = 0.
+        ad(il) = 0.
+      ENDDO
+
+      DO k = 1, nl + 1
         DO il = 1, ncum
-!yor!        IF (i<=inb(il) .AND. j<=inb(il)) THEN ! the second condition implies the 1st !
-             IF (j<=inb(il)) THEN   
-            ad(il) = ad(il) + ment(il, j, k)
+          IF (i>=icb(il)) THEN
+            IF (k>=i + 1 .AND. k<=(inb(il) + 1)) THEN
+              amp1(il) = amp1(il) + m(il, k)
+            END IF
+          ELSE
+            ! AMP1 is the part of cbmf taken from layers I and lower
+            IF (k<=i) THEN
+              amp1(il) = amp1(il) + cbmf(il) * wghti(il, k)
+            END IF
           END IF
         END DO
       END DO
-    END DO
-
-!-----------------------------------------------------------
-        ENDIF !(ok_optim_yield)                           !|
-!-----------------------------------------------------------
-
-!!   print *,'yield, i, amp1, ad', i, amp1(1), ad(1)
+
+      DO j = i + 1, nl + 1
+        DO k = 1, i
+          !yor! reverted j and k loops
+          DO il = 1, ncum
+            !yor!        IF (i<=inb(il) .AND. j<=(inb(il)+1)) THEN ! the second condition implies the first !
+            IF (j<=(inb(il) + 1)) THEN
+              amp1(il) = amp1(il) + ment(il, k, j)
+            END IF
+          END DO
+        END DO
+      END DO
+
+      DO k = 1, i - 1
+        !jyg<
+        !!      DO j = i, nl + 1 ! newvecto: nl au lieu nl+1?
+        DO j = i, nl
+          !>jyg
+          DO il = 1, ncum
+            !yor!        IF (i<=inb(il) .AND. j<=inb(il)) THEN ! the second condition implies the 1st !
+            IF (j<=inb(il)) THEN
+              ad(il) = ad(il) + ment(il, j, k)
+            END IF
+          END DO
+        END DO
+      END DO
+
+      !-----------------------------------------------------------
+    ENDIF !(ok_optim_yield)                           !|
+    !-----------------------------------------------------------
+
+    !!   print *,'yield, i, amp1, ad', i, amp1(1), ad(1)
 
     DO il = 1, ncum
       IF (i<=inb(il) .AND. iflag(il)<=1) THEN
-        dpinv = 1.0/(ph(il,i)-ph(il,i+1))
-        cpinv = 1.0/cpn(il, i)
-
-! convect3      if((0.1*dpinv*amp1).ge.delti)iflag(il)=4
-        IF ((0.01*grav*dpinv*amp1(il))>=delti) iflag(il) = 1 ! vecto
-
-! precip
-! cc       ft(il,i)= -0.5*sigd(il)*lvcp(il,i)*(evap(il,i)+evap(il,i+1))
+        dpinv = 1.0 / (ph(il, i) - ph(il, i + 1))
+        cpinv = 1.0 / cpn(il, i)
+
+        ! convect3      if((0.1*dpinv*amp1).ge.delti)iflag(il)=4
+        IF ((0.01 * grav * dpinv * amp1(il))>=delti) iflag(il) = 1 ! vecto
+
+        ! precip
+        ! cc       ft(il,i)= -0.5*sigd(il)*lvcp(il,i)*(evap(il,i)+evap(il,i+1))
         IF (cvflag_ice) THEN
-          ft(il, i) = -sigd(il)*lvcp(il, i)*evap(il, i) - &
-                       sigd(il)*lfcp(il, i)*evap(il, i)*faci(il, i) - &
-                       sigd(il)*lfcp(il, i)*fondue(il, i)*wt(il, i)/(100.*(p(il,i-1)-p(il,i)))
+          ft(il, i) = -sigd(il) * lvcp(il, i) * evap(il, i) - &
+                  sigd(il) * lfcp(il, i) * evap(il, i) * faci(il, i) - &
+                  sigd(il) * lfcp(il, i) * fondue(il, i) * wt(il, i) / (100. * (p(il, i - 1) - p(il, i)))
         ELSE
-          ft(il, i) = -sigd(il)*lvcp(il, i)*evap(il, i)
+          ft(il, i) = -sigd(il) * lvcp(il, i) * evap(il, i)
         END IF
 
-        rat = cpn(il, i-1)*cpinv
-
-        ft(il, i) = ft(il, i) - 0.009*grav*sigd(il) * &
-                     (mp(il,i+1)*t_wake(il,i)*b(il,i)-mp(il,i)*t_wake(il,i-1)*rat*b(il,i-1))*dpinv
+        rat = cpn(il, i - 1) * cpinv
+
+        ft(il, i) = ft(il, i) - 0.009 * grav * sigd(il) * &
+                (mp(il, i + 1) * t_wake(il, i) * b(il, i) - mp(il, i) * t_wake(il, i - 1) * rat * b(il, i - 1)) * dpinv
         IF (cvflag_ice) THEN
-          ft(il, i) = ft(il, i) + 0.01*sigd(il)*wt(il, i)*(cl-cpd)*water(il, i+1) * &
-                                       (t_wake(il,i+1)-t_wake(il,i))*dpinv*cpinv + &
-                                  0.01*sigd(il)*wt(il, i)*(ci-cpd)*ice(il, i+1) * &
-                                       (t_wake(il,i+1)-t_wake(il,i))*dpinv*cpinv
+          ft(il, i) = ft(il, i) + 0.01 * sigd(il) * wt(il, i) * (cl - cpd) * water(il, i + 1) * &
+                  (t_wake(il, i + 1) - t_wake(il, i)) * dpinv * cpinv + &
+                  0.01 * sigd(il) * wt(il, i) * (ci - cpd) * ice(il, i + 1) * &
+                          (t_wake(il, i + 1) - t_wake(il, i)) * dpinv * cpinv
         ELSE
-          ft(il, i) = ft(il, i) + 0.01*sigd(il)*wt(il, i)*(cl-cpd)*water(il, i+1) * &
-                                       (t_wake(il,i+1)-t_wake(il,i))*dpinv* &
-            cpinv
+          ft(il, i) = ft(il, i) + 0.01 * sigd(il) * wt(il, i) * (cl - cpd) * water(il, i + 1) * &
+                  (t_wake(il, i + 1) - t_wake(il, i)) * dpinv * &
+                  cpinv
         END IF
 
         ftd(il, i) = ft(il, i)
-! fin precip
-
-! sature
-!jyg<
+        ! fin precip
+
+        ! sature
+        !jyg<
         IF (fl_cor_ebil >= 2) THEN
-          ft(il, i) = ft(il, i) + 0.01*grav*dpinv * &
-              ( amp1(il)*( (t(il,i+1)-t(il,i))*cpn(il,i+1) + gz(il,i+1)-gz(il,i))*cpinv - &
-                ad(il)*( (t(il,i)-t(il,i-1))*cpn(il,i-1) + gz(il,i)-gz(il,i-1))*cpinv)
+          ft(il, i) = ft(il, i) + 0.01 * grav * dpinv * &
+                  (amp1(il) * ((t(il, i + 1) - t(il, i)) * cpn(il, i + 1) + gz(il, i + 1) - gz(il, i)) * cpinv - &
+                          ad(il) * ((t(il, i) - t(il, i - 1)) * cpn(il, i - 1) + gz(il, i) - gz(il, i - 1)) * cpinv)
         ELSE
-          ft(il, i) = ft(il, i) + 0.01*grav*dpinv * &
-                     (amp1(il)*(t(il,i+1)-t(il,i) + (gz(il,i+1)-gz(il,i))*cpinv) - &
-                      ad(il)*(t(il,i)-t(il,i-1)+(gz(il,i)-gz(il,i-1))*cpinv))
+          ft(il, i) = ft(il, i) + 0.01 * grav * dpinv * &
+                  (amp1(il) * (t(il, i + 1) - t(il, i) + (gz(il, i + 1) - gz(il, i)) * cpinv) - &
+                          ad(il) * (t(il, i) - t(il, i - 1) + (gz(il, i) - gz(il, i - 1)) * cpinv))
         ENDIF
-!>jyg
-
+        !>jyg
 
         IF (iflag_mix==0) THEN
-          ft(il, i) = ft(il, i) + 0.01*grav*dpinv*ment(il, i, i)*(hp(il,i)-h(il,i) + &
-                                    t(il,i)*(cpv-cpd)*(rr(il,i)-qent(il,i,i)))*cpinv
+          ft(il, i) = ft(il, i) + 0.01 * grav * dpinv * ment(il, i, i) * (hp(il, i) - h(il, i) + &
+                  t(il, i) * (cpv - cpd) * (rr(il, i) - qent(il, i, i))) * cpinv
         END IF
 
-! sb: on ne fait pas encore la correction permettant de mieux
-! conserver l'eau:
-!JYG: correction permettant de mieux conserver l'eau:
-! cc         fr(il,i)=0.5*sigd(il)*(evap(il,i)+evap(il,i+1))
-        fr(il, i) = sigd(il)*evap(il, i) + 0.01*grav*(mp(il,i+1)*(rp(il,i+1)-rr_wake(il,i)) - &
-                                                      mp(il,i)*(rp(il,i)-rr_wake(il,i-1)))*dpinv
+        ! sb: on ne fait pas encore la correction permettant de mieux
+        ! conserver l'eau:
+        !JYG: correction permettant de mieux conserver l'eau:
+        ! cc         fr(il,i)=0.5*sigd(il)*(evap(il,i)+evap(il,i+1))
+        fr(il, i) = sigd(il) * evap(il, i) + 0.01 * grav * (mp(il, i + 1) * (rp(il, i + 1) - rr_wake(il, i)) - &
+                mp(il, i) * (rp(il, i) - rr_wake(il, i - 1))) * dpinv
         fqd(il, i) = fr(il, i)                                                                     ! precip
 
-        fu(il, i) = 0.01*grav*(mp(il,i+1)*(up(il,i+1)-u(il,i)) - &
-                               mp(il,i)*(up(il,i)-u(il,i-1)))*dpinv
-        fv(il, i) = 0.01*grav*(mp(il,i+1)*(vp(il,i+1)-v(il,i)) - &
-                               mp(il,i)*(vp(il,i)-v(il,i-1)))*dpinv
-
-
-        fr(il, i) = fr(il, i) + 0.01*grav*dpinv*(amp1(il)*(rr(il,i+1)-rr(il,i)) - &
-                                                 ad(il)*(rr(il,i)-rr(il,i-1)))
-        fu(il, i) = fu(il, i) + 0.01*grav*dpinv*(amp1(il)*(u(il,i+1)-u(il,i)) - &
-                                                 ad(il)*(u(il,i)-u(il,i-1)))
-        fv(il, i) = fv(il, i) + 0.01*grav*dpinv*(amp1(il)*(v(il,i+1)-v(il,i)) - &
-                                                 ad(il)*(v(il,i)-v(il,i-1)))
+        fu(il, i) = 0.01 * grav * (mp(il, i + 1) * (up(il, i + 1) - u(il, i)) - &
+                mp(il, i) * (up(il, i) - u(il, i - 1))) * dpinv
+        fv(il, i) = 0.01 * grav * (mp(il, i + 1) * (vp(il, i + 1) - v(il, i)) - &
+                mp(il, i) * (vp(il, i) - v(il, i - 1))) * dpinv
+
+        fr(il, i) = fr(il, i) + 0.01 * grav * dpinv * (amp1(il) * (rr(il, i + 1) - rr(il, i)) - &
+                ad(il) * (rr(il, i) - rr(il, i - 1)))
+        fu(il, i) = fu(il, i) + 0.01 * grav * dpinv * (amp1(il) * (u(il, i + 1) - u(il, i)) - &
+                ad(il) * (u(il, i) - u(il, i - 1)))
+        fv(il, i) = fv(il, i) + 0.01 * grav * dpinv * (amp1(il) * (v(il, i + 1) - v(il, i)) - &
+                ad(il) * (v(il, i) - v(il, i - 1)))
 
       END IF ! i
     END DO
 
-!AC!      do k=1,ntra
-!AC!       do il=1,ncum
-!AC!        if (i.le.inb(il) .AND. iflag(il) .le. 1) THEN
-!AC!         dpinv=1.0/(ph(il,i)-ph(il,i+1))
-!AC!         cpinv=1.0/cpn(il,i)
-!AC!         if (cvflag_grav) THEN
-!AC!           ftra(il,i,k)=ftra(il,i,k)+0.01*grav*dpinv
-!AC!     :         *(amp1(il)*(tra(il,i+1,k)-tra(il,i,k))
-!AC!     :           -ad(il)*(tra(il,i,k)-tra(il,i-1,k)))
-!AC!         else
-!AC!           ftra(il,i,k)=ftra(il,i,k)+0.1*dpinv
-!AC!     :         *(amp1(il)*(tra(il,i+1,k)-tra(il,i,k))
-!AC!     :           -ad(il)*(tra(il,i,k)-tra(il,i-1,k)))
-!AC!         endif
-!AC!        endif
-!AC!       enddo
-!AC!      enddo
+    !AC!      do k=1,ntra
+    !AC!       do il=1,ncum
+    !AC!        if (i.le.inb(il) .AND. iflag(il) .le. 1) THEN
+    !AC!         dpinv=1.0/(ph(il,i)-ph(il,i+1))
+    !AC!         cpinv=1.0/cpn(il,i)
+    !AC!         if (cvflag_grav) THEN
+    !AC!           ftra(il,i,k)=ftra(il,i,k)+0.01*grav*dpinv
+    !AC!     :         *(amp1(il)*(tra(il,i+1,k)-tra(il,i,k))
+    !AC!     :           -ad(il)*(tra(il,i,k)-tra(il,i-1,k)))
+    !AC!         else
+    !AC!           ftra(il,i,k)=ftra(il,i,k)+0.1*dpinv
+    !AC!     :         *(amp1(il)*(tra(il,i+1,k)-tra(il,i,k))
+    !AC!     :           -ad(il)*(tra(il,i,k)-tra(il,i-1,k)))
+    !AC!         endif
+    !AC!        endif
+    !AC!       enddo
+    !AC!      enddo
 
     DO k = 1, i - 1
 
       DO il = 1, ncum
-        awat(il) = elij(il, k, i) - (1.-ep(il,i))*clw(il, i)
+        awat(il) = elij(il, k, i) - (1. - ep(il, i)) * clw(il, i)
         awat(il) = max(awat(il), 0.0)
       END DO
@@ -4200,9 +4162,8 @@
         DO il = 1, ncum
           IF (i<=inb(il) .AND. iflag(il)<=1) THEN
-            dpinv = 1.0/(ph(il,i)-ph(il,i+1))
-            cpinv = 1.0/cpn(il, i)
-            ft(il, i) = ft(il, i) + 0.01*grav*dpinv*ment(il, k, i) * &
-                 (hent(il,k,i)-h(il,i)+t(il,i)*(cpv-cpd)*(rr(il,i)+awat(il)-qent(il,k,i)))*cpinv
-
+            dpinv = 1.0 / (ph(il, i) - ph(il, i + 1))
+            cpinv = 1.0 / cpn(il, i)
+            ft(il, i) = ft(il, i) + 0.01 * grav * dpinv * ment(il, k, i) * &
+                    (hent(il, k, i) - h(il, i) + t(il, i) * (cpv - cpd) * (rr(il, i) + awat(il) - qent(il, k, i))) * cpinv
 
           END IF ! i
@@ -4212,16 +4173,16 @@
       DO il = 1, ncum
         IF (i<=inb(il) .AND. iflag(il)<=1) THEN
-          dpinv = 1.0/(ph(il,i)-ph(il,i+1))
-          cpinv = 1.0/cpn(il, i)
-          fr(il, i) = fr(il, i) + 0.01*grav*dpinv*ment(il, k, i) * &
-                                                       (qent(il,k,i)-awat(il)-rr(il,i))
-          fr_comp(il,i) = fr_comp(il,i) + 0.01*grav*dpinv*ment(il, k, i)*(qent(il,k,i)-awat(il)-rr(il,i))
-          fu(il, i) = fu(il, i) + 0.01*grav*dpinv*ment(il, k, i)*(uent(il,k,i)-u(il,i))
-          fv(il, i) = fv(il, i) + 0.01*grav*dpinv*ment(il, k, i)*(vent(il,k,i)-v(il,i))
-
-! (saturated updrafts resulting from mixing)                                   ! cld
-          qcond(il, i) = qcond(il, i) + (elij(il,k,i)-awat(il))                ! cld
-          qdet(il,k,i) = (qent(il,k,i)-awat(il))                               ! cld Louis : specific humidity in detraining water
-          qtment(il, i) = qtment(il, i) + qent(il,k,i)                         ! cld
+          dpinv = 1.0 / (ph(il, i) - ph(il, i + 1))
+          cpinv = 1.0 / cpn(il, i)
+          fr(il, i) = fr(il, i) + 0.01 * grav * dpinv * ment(il, k, i) * &
+                  (qent(il, k, i) - awat(il) - rr(il, i))
+          fr_comp(il, i) = fr_comp(il, i) + 0.01 * grav * dpinv * ment(il, k, i) * (qent(il, k, i) - awat(il) - rr(il, i))
+          fu(il, i) = fu(il, i) + 0.01 * grav * dpinv * ment(il, k, i) * (uent(il, k, i) - u(il, i))
+          fv(il, i) = fv(il, i) + 0.01 * grav * dpinv * ment(il, k, i) * (vent(il, k, i) - v(il, i))
+
+          ! (saturated updrafts resulting from mixing)                                   ! cld
+          qcond(il, i) = qcond(il, i) + (elij(il, k, i) - awat(il))                ! cld
+          qdet(il, k, i) = (qent(il, k, i) - awat(il))                               ! cld Louis : specific humidity in detraining water
+          qtment(il, i) = qtment(il, i) + qent(il, k, i)                         ! cld
           nqcond(il, i) = nqcond(il, i) + 1.                                   ! cld
         END IF ! i
@@ -4229,35 +4190,34 @@
     END DO
 
-!AC!      do j=1,ntra
-!AC!       do k=1,i-1
-!AC!        do il=1,ncum
-!AC!         if (i.le.inb(il) .AND. iflag(il) .le. 1) THEN
-!AC!          dpinv=1.0/(ph(il,i)-ph(il,i+1))
-!AC!          cpinv=1.0/cpn(il,i)
-!AC!          if (cvflag_grav) THEN
-!AC!           ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv*ment(il,k,i)
-!AC!     :        *(traent(il,k,i,j)-tra(il,i,j))
-!AC!          else
-!AC!           ftra(il,i,j)=ftra(il,i,j)+0.1*dpinv*ment(il,k,i)
-!AC!     :        *(traent(il,k,i,j)-tra(il,i,j))
-!AC!          endif
-!AC!         endif
-!AC!        enddo
-!AC!       enddo
-!AC!      enddo
-
-!jyg<
-!!    DO k = i, nl + 1
+    !AC!      do j=1,ntra
+    !AC!       do k=1,i-1
+    !AC!        do il=1,ncum
+    !AC!         if (i.le.inb(il) .AND. iflag(il) .le. 1) THEN
+    !AC!          dpinv=1.0/(ph(il,i)-ph(il,i+1))
+    !AC!          cpinv=1.0/cpn(il,i)
+    !AC!          if (cvflag_grav) THEN
+    !AC!           ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv*ment(il,k,i)
+    !AC!     :        *(traent(il,k,i,j)-tra(il,i,j))
+    !AC!          else
+    !AC!           ftra(il,i,j)=ftra(il,i,j)+0.1*dpinv*ment(il,k,i)
+    !AC!     :        *(traent(il,k,i,j)-tra(il,i,j))
+    !AC!          endif
+    !AC!         endif
+    !AC!        enddo
+    !AC!       enddo
+    !AC!      enddo
+
+    !jyg<
+    !!    DO k = i, nl + 1
     DO k = i, nl
-!>jyg
+      !>jyg
 
       IF (iflag_mix/=0) THEN
         DO il = 1, ncum
           IF (i<=inb(il) .AND. k<=inb(il) .AND. iflag(il)<=1) THEN
-            dpinv = 1.0/(ph(il,i)-ph(il,i+1))
-            cpinv = 1.0/cpn(il, i)
-            ft(il, i) = ft(il, i) + 0.01*grav*dpinv*ment(il, k, i) * &
-                  (hent(il,k,i)-h(il,i)+t(il,i)*(cpv-cpd)*(rr(il,i)-qent(il,k,i)))*cpinv
-
+            dpinv = 1.0 / (ph(il, i) - ph(il, i + 1))
+            cpinv = 1.0 / cpn(il, i)
+            ft(il, i) = ft(il, i) + 0.01 * grav * dpinv * ment(il, k, i) * &
+                    (hent(il, k, i) - h(il, i) + t(il, i) * (cpv - cpd) * (rr(il, i) - qent(il, k, i))) * cpinv
 
           END IF ! i
@@ -4267,42 +4227,42 @@
       DO il = 1, ncum
         IF (i<=inb(il) .AND. k<=inb(il) .AND. iflag(il)<=1) THEN
-          dpinv = 1.0/(ph(il,i)-ph(il,i+1))
-          cpinv = 1.0/cpn(il, i)
-
-          fr(il, i) = fr(il, i) + 0.01*grav*dpinv*ment(il, k, i)*(qent(il,k,i)-rr(il,i))
-          fu(il, i) = fu(il, i) + 0.01*grav*dpinv*ment(il, k, i)*(uent(il,k,i)-u(il,i))
-          fv(il, i) = fv(il, i) + 0.01*grav*dpinv*ment(il, k, i)*(vent(il,k,i)-v(il,i))
+          dpinv = 1.0 / (ph(il, i) - ph(il, i + 1))
+          cpinv = 1.0 / cpn(il, i)
+
+          fr(il, i) = fr(il, i) + 0.01 * grav * dpinv * ment(il, k, i) * (qent(il, k, i) - rr(il, i))
+          fu(il, i) = fu(il, i) + 0.01 * grav * dpinv * ment(il, k, i) * (uent(il, k, i) - u(il, i))
+          fv(il, i) = fv(il, i) + 0.01 * grav * dpinv * ment(il, k, i) * (vent(il, k, i) - v(il, i))
         END IF ! i and k
       END DO
     END DO
 
-!AC!      do j=1,ntra
-!AC!       do k=i,nl+1
-!AC!        do il=1,ncum
-!AC!         if (i.le.inb(il) .AND. k.le.inb(il)
-!AC!     $                .AND. iflag(il) .le. 1) THEN
-!AC!          dpinv=1.0/(ph(il,i)-ph(il,i+1))
-!AC!          cpinv=1.0/cpn(il,i)
-!AC!          if (cvflag_grav) THEN
-!AC!           ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv*ment(il,k,i)
-!AC!     :         *(traent(il,k,i,j)-tra(il,i,j))
-!AC!          else
-!AC!           ftra(il,i,j)=ftra(il,i,j)+0.1*dpinv*ment(il,k,i)
-!AC!     :             *(traent(il,k,i,j)-tra(il,i,j))
-!AC!          endif
-!AC!         endif ! i and k
-!AC!        enddo
-!AC!       enddo
-!AC!      enddo
-
-! sb: interface with the cloud parameterization:                               ! cld
+    !AC!      do j=1,ntra
+    !AC!       do k=i,nl+1
+    !AC!        do il=1,ncum
+    !AC!         if (i.le.inb(il) .AND. k.le.inb(il)
+    !AC!     $                .AND. iflag(il) .le. 1) THEN
+    !AC!          dpinv=1.0/(ph(il,i)-ph(il,i+1))
+    !AC!          cpinv=1.0/cpn(il,i)
+    !AC!          if (cvflag_grav) THEN
+    !AC!           ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv*ment(il,k,i)
+    !AC!     :         *(traent(il,k,i,j)-tra(il,i,j))
+    !AC!          else
+    !AC!           ftra(il,i,j)=ftra(il,i,j)+0.1*dpinv*ment(il,k,i)
+    !AC!     :             *(traent(il,k,i,j)-tra(il,i,j))
+    !AC!          endif
+    !AC!         endif ! i and k
+    !AC!        enddo
+    !AC!       enddo
+    !AC!      enddo
+
+    ! sb: interface with the cloud parameterization:                               ! cld
 
     DO k = i + 1, nl
       DO il = 1, ncum
         IF (k<=inb(il) .AND. i<=inb(il) .AND. iflag(il)<=1) THEN               ! cld
-! (saturated downdrafts resulting from mixing)                                 ! cld
+          ! (saturated downdrafts resulting from mixing)                                 ! cld
           qcond(il, i) = qcond(il, i) + elij(il, k, i)                         ! cld
-          qdet(il,k,i) = qent(il,k,i)                                          ! cld Louis : specific humidity in detraining water
-          qtment(il, i) = qent(il,k,i) + qtment(il,i)                          ! cld
+          qdet(il, k, i) = qent(il, k, i)                                          ! cld Louis : specific humidity in detraining water
+          qtment(il, i) = qent(il, k, i) + qtment(il, i)                          ! cld
           nqcond(il, i) = nqcond(il, i) + 1.                                   ! cld
         END IF ! cld
